Package com.independentsoft.office.spreadsheet

# Class FilterColumn

java.lang.Object
com.independentsoft.office.spreadsheet.FilterColumn

public class FilterColumn extends Object
The Class FilterColumn.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FilterColumn()`
  Instantiates a new filter column.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FilterColumn`
  `clone()`
  `ColorFilter`
  `getColorFilter()`
  Gets the color filter.
  `int`
  `getColumnID()`
  Gets the column id.
  `CustomFilters`
  `getCustomFilters()`
  Gets the custom filters.
  `DynamicFilter`
  `getDynamicFilter()`
  Gets the dynamic filter.
  `FilterCriteria`
  `getFilterCriteria()`
  Gets the filter criteria.
  `IconFilter`
  `getIconFilter()`
  Gets the icon filter.
  `Top`
  `getTop()`
  Gets the top.
  `boolean`
  `isHideButton()`
  Checks if is hide button.
  `boolean`
  `isShowButton()`
  Checks if is show button.
  `void`
  `setColorFilter​(ColorFilter colorFilter)`
  Sets the color filter.
  `void`
  `setColumnID​(int columnID)`
  Sets the column id.
  `void`
  `setCustomFilters​(CustomFilters customFilters)`
  Sets the custom filters.
  `void`
  `setDynamicFilter​(DynamicFilter dynamicFilter)`
  Sets the dynamic filter.
  `void`
  `setFilterCriteria​(FilterCriteria filterCriteria)`
  Sets the filter criteria.
  `void`
  `setHideButton​(boolean hideButton)`
  Sets the hide button.
  `void`
  `setIconFilter​(IconFilter iconFilter)`
  Sets the icon filter.
  `void`
  `setShowButton​(boolean showButton)`
  Sets the show button.
  `void`
  `setTop​(Top top)`
  Sets the top.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FilterColumn

    public FilterColumn()
    Instantiates a new filter column.

- ## Method Details

  - ### clone

    public FilterColumn clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getColumnID

    public int getColumnID()
    Gets the column id.
    Returns:
      the column id

  - ### setColumnID

    public void setColumnID​(int columnID)
    Sets the column id.
    Parameters:
      `columnID` - the new column id

  - ### isHideButton

    public boolean isHideButton()
    Checks if is hide button.
    Returns:
      true, if is hide button

  - ### setHideButton

    public void setHideButton​(boolean hideButton)
    Sets the hide button.
    Parameters:
      `hideButton` - the new hide button

  - ### isShowButton

    public boolean isShowButton()
    Checks if is show button.
    Returns:
      true, if is show button

  - ### setShowButton

    public void setShowButton​(boolean showButton)
    Sets the show button.
    Parameters:
      `showButton` - the new show button

  - ### getColorFilter

    public ColorFilter getColorFilter()
    Gets the color filter.
    Returns:
      the color filter

  - ### setColorFilter

    public void setColorFilter​(ColorFilter colorFilter)
    Sets the color filter.
    Parameters:
      `colorFilter` - the new color filter

  - ### getCustomFilters

    public CustomFilters getCustomFilters()
    Gets the custom filters.
    Returns:
      the custom filters

  - ### setCustomFilters

    public void setCustomFilters​(CustomFilters customFilters)
    Sets the custom filters.
    Parameters:
      `customFilters` - the new custom filters

  - ### getDynamicFilter

    public DynamicFilter getDynamicFilter()
    Gets the dynamic filter.
    Returns:
      the dynamic filter

  - ### setDynamicFilter

    public void setDynamicFilter​(DynamicFilter dynamicFilter)
    Sets the dynamic filter.
    Parameters:
      `dynamicFilter` - the new dynamic filter

  - ### getFilterCriteria

    public FilterCriteria getFilterCriteria()
    Gets the filter criteria.
    Returns:
      the filter criteria

  - ### setFilterCriteria

    public void setFilterCriteria​(FilterCriteria filterCriteria)
    Sets the filter criteria.
    Parameters:
      `filterCriteria` - the new filter criteria

  - ### getIconFilter

    public IconFilter getIconFilter()
    Gets the icon filter.
    Returns:
      the icon filter

  - ### setIconFilter

    public void setIconFilter​(IconFilter iconFilter)
    Sets the icon filter.
    Parameters:
      `iconFilter` - the new icon filter

  - ### getTop

    public Top getTop()
    Gets the top.
    Returns:
      the top

  - ### setTop

    public void setTop​(Top top)
    Sets the top.
    Parameters:
      `top` - the new top